## org.codehaus.groovy.ast.stmt
Class DoWhileStatement

    java.lang.Object
      org.codehaus.groovy.ast.ASTNode
          org.codehaus.groovy.ast.stmt.Statement
              org.codehaus.groovy.ast.stmt.DoWhileStatement

    public class DoWhileStatement

extends Statement

Represents a do { ... } while (condition) loop in Groovy

Version:
  $Revision: 15759 $
Author:
  James Strachan

Constructor Summary
`DoWhileStatement(BooleanExpression booleanExpression, Statement loopBlock)`

Method Summary
`BooleanExpression` `getBooleanExpression()`
`Statement` `getLoopBlock()`
`void` `setBooleanExpression(BooleanExpression booleanExpression)`
`void` `setLoopBlock(Statement loopBlock)`
`void` `visit(GroovyCodeVisitor visitor)`

Methods inherited from class org.codehaus.groovy.ast.stmt.Statement
`getStatementLabel, isEmpty, setStatementLabel`

Methods inherited from class org.codehaus.groovy.ast.ASTNode
`getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, getText, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setSourcePosition`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DoWhileStatement

    public DoWhileStatement(BooleanExpression booleanExpression,
                            Statement loopBlock)

Method Detail

### visit

    public void visit(GroovyCodeVisitor visitor)

  Overrides:
    `visit` in class `ASTNode`

### getBooleanExpression

    public BooleanExpression getBooleanExpression()

### getLoopBlock

    public Statement getLoopBlock()

### setBooleanExpression

    public void setBooleanExpression(BooleanExpression booleanExpression)

### setLoopBlock

    public void setLoopBlock(Statement loopBlock)

Copyright © 2003-2009 The Codehaus. All rights reserved.